using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace PARR.DAL.Migrations
{
    /// <inheritdoc />
    public partial class TblAppInWorksUpd : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "FullDescription",
                table: "Works");

            migrationBuilder.DropColumn(
                name: "ShortDescription",
                table: "Works");

            migrationBuilder.DropColumn(
                name: "Solution",
                table: "Works");

            migrationBuilder.DropColumn(
                name: "TemplateDuration",
                table: "Works");

            migrationBuilder.AddColumn<string>(
                name: "FullDescription",
                table: "ApplicationsInWorks",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ShortDescription",
                table: "ApplicationsInWorks",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Solution",
                table: "ApplicationsInWorks",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "TemplateDuration",
                table: "ApplicationsInWorks",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.InsertData(
                table: "Settings",
                columns: new[] { "Name", "Description", "Value" },
                values: new object[] { "TemplatePrefixName", "Префикс имени шаблона в ЕСПП", "ПАРР-ДВС-ПТК__" });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "Settings",
                keyColumn: "Name",
                keyValue: "TemplatePrefixName");

            migrationBuilder.DropColumn(
                name: "FullDescription",
                table: "ApplicationsInWorks");

            migrationBuilder.DropColumn(
                name: "ShortDescription",
                table: "ApplicationsInWorks");

            migrationBuilder.DropColumn(
                name: "Solution",
                table: "ApplicationsInWorks");

            migrationBuilder.DropColumn(
                name: "TemplateDuration",
                table: "ApplicationsInWorks");

            migrationBuilder.AddColumn<string>(
                name: "FullDescription",
                table: "Works",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "ShortDescription",
                table: "Works",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Solution",
                table: "Works",
                type: "text",
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "TemplateDuration",
                table: "Works",
                type: "text",
                nullable: false,
                defaultValue: "");
        }
    }
}
